Package org.gradle.api.tasks.compile

## Class AbstractOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `BaseForkOptions`, `BaseScalaCompileOptions`, `CompileOptions`, `DebugOptions`, `GroovyCompileOptions`, `ScalaDocOptions`

      public abstract class AbstractOptions
      extends java.lang.Object
      implements java.io.Serializable

  Base class for compilation-related options.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `define​(java.util.Map<java.lang.String,​java.lang.Object> args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOptions

          public AbstractOptions()

  - ### Method Detail

    - #### define

          public void define​(@Nullable
                             java.util.Map<java.lang.String,​java.lang.Object> args)